PropertiesForm (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.action.portlet.savedqueries.PropertiesForm class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.action.portlet.savedqueries
Class PropertiesForm

    java.lang.Object
      org.apache.struts.action.ActionForm
          org.apache.struts.validator.ValidatorForm
              org.hyperic.hq.ui.action.BaseValidatorForm
                  org.hyperic.hq.ui.action.portlet.DashboardBaseForm
                      org.hyperic.hq.ui.action.portlet.savedqueries.PropertiesForm

All Implemented Interfaces:
  java.io.Serializable

    public class PropertiesForm

extends DashboardBaseForm

A subclass of `ValidatorForm` that adds convenience methods for dealing with image-based form buttons.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.struts.validator.ValidatorForm
`page, validatorResults`

Fields inherited from class org.apache.struts.action.ActionForm
`multipartRequestHandler, servlet`

Constructor Summary
`PropertiesForm()`

Method Summary
`java.lang.String[]` | `getCharts()` Getter for property groupId.
`java.lang.String` | `getOrder()`
`void` | `setCharts(java.lang.String[] charts)` Setter for property groupId.
`void` | `setOrder(java.lang.String order)`
`java.lang.String` | `toString()`

Methods inherited from class org.hyperic.hq.ui.action.portlet.DashboardBaseForm
`getPortletName, getToken, reset, setPortletName, setToken`

Methods inherited from class org.hyperic.hq.ui.action.BaseValidatorForm
`getAdd, getCancel, getCreate, getDelete, getEnable, getOk, getOkassign, getPn, getPs, getRemove, getReset, getUserset, isAddClicked, isCancelClicked, isCreateClicked, isDeleteClicked, isEnableClicked, isOkAssignClicked, isOkClicked, isRemoveClicked, isResetClicked, isUsersetClicked, setAdd, setCancel, setCreate, setDelete, setEnable, setOk, setOkassign, setPn, setPs, setRemove, setReset, setUserset, shouldValidate, validate`

Methods inherited from class org.apache.struts.validator.ValidatorForm
`getPage, getResultValueMap, getValidationKey, getValidatorResults, setPage, setValidatorResults`

Methods inherited from class org.apache.struts.action.ActionForm
`getMultipartRequestHandler, getServlet, getServletWrapper, reset, setMultipartRequestHandler, setServlet, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PropertiesForm

    public PropertiesForm()

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `BaseValidatorForm`

### getCharts

    public java.lang.String[] getCharts()

  Getter for property groupId.

  Returns:
    Value of property groupId.

### setCharts

    public void setCharts(java.lang.String[] charts)

  Setter for property groupId.

  Parameters:
    `groupId` - New value of property groupId.

### getOrder

    public java.lang.String getOrder()

### setOrder

    public void setOrder(java.lang.String order)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.